/* --COPYRIGHT--,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
/*
 * CAPTHost_UserConfig.h
 *
 *  Created on: Dec 3, 2015
 *      Author: a0224638
 */

#ifndef \
    MSP_EXP432P401R_CAPTIVATE_PHONEPANEL_BOOSTXL_K350QVG_S1_CAPTHOST_SENSORCONFIG_H_
#define \
    MSP_EXP432P401R_CAPTIVATE_PHONEPANEL_BOOSTXL_K350QVG_S1_CAPTHOST_SENSORCONFIG_H_

//****************************************************************************************
// Defines
//****************************************************************************************

#define GENERAL_PURPOSE_SLIDER_SENSOR_ID                (0)
#define GENERAL_PURPOSE_SLIDER_CYCLE0_ELEMENTS  (4)

#define MODE_KEYPAD_SENSOR_ID                                   (1)
#define MODE_KEYPAD_CYCLE0_ELEMENTS                     (4)

#define NUMERIC_KEYPAD_SENSOR_ID                                (2)
#define NUMERIC_KEYPAD_CYCLE0_ELEMENTS                  (4)
#define NUMERIC_KEYPAD_CYCLE1_ELEMENTS                  (4)
#define NUMERIC_KEYPAD_CYCLE2_ELEMENTS                  (4)

#define PROX_AND_GUARD_SENSOR_ID                                (3)
#define PROX_AND_GUARD_CYCLE0_ELEMENTS                  (1)

#define SCROLL_WHEEL_SENSOR_ID                                  (4)
#define SCROLL_WHEEL_CYCLE0_ELEMENTS                    (3)

#define VOLUME_SLIDER_SENSOR_ID                                 (5)
#define VOLUME_SLIDER_CYCLE0_ELEMENTS                   (4)

#define WHEEL_BUTTON_SENSOR_ID                                  (6)
#define WHEEL_BUTTON_CYCLE0_ELEMENTS                    (1)

#endif /* MSP_EXP432P401R_CAPTIVATE_PHONEPANEL_BOOSTXL_K350QVG_S1_CAPTHOST_SENSORCONFIG_H_ */
