/* --COPYRIGHT--,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

#ifndef IMAGES_IMAGES_H_
#define IMAGES_IMAGES_H_

#include "Button0Touched.h"
#include "Button0Untouched.h"
#include "Button1Touched.h"
#include "Button1Untouched.h"
#include "Button2Touched.h"
#include "Button2Untouched.h"
#include "Button3Touched.h"
#include "Button3Untouched.h"
#include "Button4Touched.h"
#include "Button4Untouched.h"
#include "Button5Touched.h"
#include "Button5Untouched.h"
#include "Button6Touched.h"
#include "Button6Untouched.h"
#include "Button7Touched.h"
#include "Button7Untouched.h"
#include "Button8Touched.h"
#include "Button8Untouched.h"
#include "Button9Touched.h"
#include "Button9Untouched.h"
#include "ButtonPoundTouched.h"
#include "ButtonPoundUntouched.h"
#include "ButtonStarTouched.h"
#include "ButtonStarUntouched.h"

#include "ButtonEndCallTouched.h"
#include "ButtonEndCallUntouched.h"
#include "ButtonHeadsetTouched.h"
#include "ButtonHeadsetUntouched.h"
#include "ButtonMuteTouched.h"
#include "ButtonMuteUntouched.h"
#include "ButtonSpeakerTouched.h"
#include "ButtonSpeakerUntouched.h"

#include "SliderGeneralPurpose.h"
#include "SliderVolume.h"

#endif /* IMAGES_IMAGES_H_ */
